/*
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef INTERFACE_H
#define INTERFACE_H		1

#include "common.h"

/* GtkBuilder's object ids */
#define BAD_ENTRY_DIALOG_IDS \
"bad_entry_dialog", \
"bad_entry_ok", \
"bad_entry", \
NULL

#define ERROR_DIALOG_IDS \
"error_dialog", \
"error_quit_button", \
"error_ok_button", \
"error_message", \
NULL

#define POPUP_MENU_IDS \
"popup_menu", \
"baud_rate", \
"baud_rate_menu", \
"bd45", \
"bd50", \
"bd75", \
"bd100", \
"afsk_shift", \
"afsk_shift_menu", \
"afsk85", \
"afsk170", \
"afsk200", \
"afsk250", \
"afsk450", \
"afsk850", \
"reverse_afsk", \
"stop_bits", \
"stop_bits_menu", \
"stop10", \
"stop15", \
"stop20", \
"enable_diversity", \
"usos", \
"enable_cat", \
"enable_cat_menu", \
"k2", \
"k3", \
"ft847", \
"ft857", \
"rts_ctl", \
"none", \
"record_qsos", \
"clear_window", \
"identify_in_cw", \
"quit", \
NULL

#define MAIN_WINDOW_IDS \
"main_window", \
"xmit", \
"tx_power_label", \
"txvol_spinbutton", \
"txvol_adj", \
"tx_scrolledwindow", \
"tx_textview", \
"rcve", \
"rxvol_spinbutton", \
"rxvol_adj", \
"squelch_value", \
"squelch_adj", \
"shift", \
"rx_scrolledwindow", \
"rx_textview", \
"scope1", \
"scope1", \
"scope_label", \
"rst_out", \
"rst_in", \
"op_name", \
"qth_name", \
"locator", \
"band", \
"callsign", \
"new_record", \
"save_record", \
"clear_fields", \
"clear_windows", \
"macro3", \
"macro5", \
"macro7", \
"macro9", \
"macro2", \
"macro4", \
"macro6", \
"macro8", \
"macro10", \
"macro1", \
NULL

#define QUIT_DIALOG_IDS \
"quit_dialog", \
"cancel_quit", \
"quit_ok", \
"quit_message", \
NULL

#define SAVE_DIALOG_IDS \
"save_dialog", \
"cancel_save", \
"save_ok", \
"save_message", \
NULL

#endif

